ur_rna.Utilities

## Class EventSource<TSubscriber>

- java.lang.Object
- - ur_rna.Utilities.EventSource<TSubscriber>

- Direct Known Subclasses:
    EventSource.NoArg, EventSource.OneArg, EventSource.TwoArgs

      public abstract class EventSource<TSubscriber>
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `EventSource.Manager`
    `static class` | `EventSource.NoArg`
    `static class` | `EventSource.OneArg<TArg>`
    `static class` | `EventSource.TwoArgs<TArg1,TArg2>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private EventSource.Manager` | `manager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventSource()`
    `EventSource(EventSource.Manager m)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(TSubscriber handler)`
    `EventSource.Manager` | `getManager()`
    `protected void` | `invoke(java.util.function.Consumer<TSubscriber> call)`
    `boolean` | `remove(TSubscriber handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### manager

          private final EventSource.Manager manager

  - ### Constructor Detail

    - #### EventSource

          public EventSource()

    - #### EventSource

          public EventSource(EventSource.Manager m)

  - ### Method Detail

    - #### add

          public boolean add(@NotNull
                             TSubscriber handler)

    - #### getManager

          public EventSource.Manager getManager()

    - #### invoke

          protected void invoke(java.util.function.Consumer<TSubscriber> call)

    - #### remove

          public boolean remove(TSubscriber handler)